using System.Collections.Generic;
using System.Text.Json.Serialization;

namespace WebApiElasticSearchClient.Controllers
{
    // Root myDeserializedClass = JsonConvert.DeserializeObject<Root>(myJsonResponse); 
    // public class Shards
    // {
    //     public int total { get; set; }
    //     public int successful { get; set; }
    //     public int skipped { get; set; }
    //     public int failed { get; set; }
    // }

    // public class Total
    // {
    //     public int value { get; set; }
    //     public string relation { get; set; }
    // }

    public class PlayLine
    {
        public string Id { get; set; }
        public string Play { get; set; }
        public string CharacterLineNumber { get; set; }
        public string ActSceneLine { get; set; }
        public string Character { get; set; }
        public string Line { get; set; }
    }

    public class Hit
    {
        // public string _index { get; set; }
        // public string _type { get; set; }
        // public string _id { get; set; }
        [JsonPropertyName("_score")]
        public double Score { get; set; }
        
        [JsonPropertyName("_source")]
        public PlayLine PlayLine { get; set; }
    }

    public class Hits
    {
        // public Total total { get; set; }
        // public double max_score { get; set; }
        public List<Hit> hits { get; set; }
    }

    public class ESResponse
    {
        //public int took { get; set; }
        // public bool timed_out { get; set; }
        // public Shards _shards { get; set; }
        public Hits hits { get; set; }
    }
}